Bug 211916 - [exp-run] Update Qt to 5.6.1.
Summary: [exp-run] Update Qt to 5.6.1.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on: 210682 212347 212349 212365 212366
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-16 20:16 UTC by Raphael Kubo da Costa
Modified: 2016-09-17 09:49 UTC (History)
2 users (show)

See Also:
rakuco: exp-run?


Attachments
Patch v1 (670.82 KB, patch)
2016-08-16 20:16 UTC, Raphael Kubo da Costa
no flags Details | Diff
Patch v1.5 (670.82 KB, patch)
2016-08-20 10:38 UTC, Raphael Kubo da Costa
no flags Details | Diff
Patch v2 (661.48 KB, patch)
2016-08-25 13:21 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2016-08-16 20:16:47 UTC
Created attachment 173752 [details]
Patch v1

kde@ needs an exp-run for Qt 5.6.1.

The patch is available at <https://people.freebsd.org/~rakuco/exp-runs/qt-5.6.1-v1.patch> and also attached here.
Comment 1 Raphael Kubo da Costa freebsd_committer 2016-08-20 10:38:29 UTC
Created attachment 173892 [details]
Patch v1.5

Since this doesn't seem to have been processed yet, I've updated the patch and the attachment with a build fix in qt5-core.
Comment 2 Raphael Kubo da Costa freebsd_committer 2016-08-25 13:21:33 UTC
Created attachment 174059 [details]
Patch v2

I've rebased the patch on top of the latest trunk. Also available over <https://people.freebsd.org/~rakuco/exp-runs/qt-5.6.1-v2.patch>
Comment 3 Antoine Brodin freebsd_committer 2016-09-01 08:47:50 UTC
Those 3 ports will have to be hooked to the categories Makefiles:

        comms/qt5-serialbus
        devel/qt5-qdoc-data
        x11-toolkits/qt5-quickcontrols2
Comment 4 commit-hook freebsd_committer 2016-09-03 11:45:53 UTC
A commit references this bug:

Author: rakuco
Date: Sat Sep  3 11:45:42 UTC 2016
New revision: 421293
URL: https://svnweb.freebsd.org/changeset/ports/421293

Log:
  Explicitly disable C++11 during the build.

  Prepare for Qt 5.6, which will pass -std=gnu++11 by default when the compiler
  supports it, and the build currently does not work:

  ../libqtelegram-aseman-edition-6.1-stable/telegram/types/accountdaysttl.cpp:51:10: error: case value evaluates to 3100684255, which cannot be narrowed to type 'int' [-Wc++11-narrowing]
      case typeAccountDaysTTL: {

  Note that Qt 5.7 will start requiring C++11 support, so this will need to be
  fixed properly in the future.

  PR:		211916

Changes:
  head/net-im/libqtelegram-ae/Makefile
Comment 5 Antoine Brodin freebsd_committer 2016-09-04 06:47:59 UTC
New failures on 9.3:

+ {"origin"=>"devel/qtcreator", "pkgname"=>"qtcreator-4.0.3", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"multimedia/qt5-phonon4", "pkgname"=>"qt5-phonon4-4.8.3", "phase"=>"configure", "errortype"=>"linker_error"}

Failure logs on 9.3:

http://package23.nyi.freebsd.org/data/93amd64-default-PR211916/2016-09-01_08h43m50s/logs/errors/qtcreator-4.0.3.log
http://package23.nyi.freebsd.org/data/93amd64-default-PR211916/2016-09-01_08h43m50s/logs/errors/qt5-phonon4-4.8.3.log
Comment 6 Antoine Brodin freebsd_committer 2016-09-04 06:54:04 UTC
New failures on 10.1:

+ {"origin"=>"editors/texmaker", "pkgname"=>"texmaker-4.5_2,3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"editors/texstudio", "pkgname"=>"texstudio-2.11.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"lang/basic256", "pkgname"=>"basic256-1.1.4.0_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/qt5-phonon4", "pkgname"=>"qt5-phonon4-4.8.3", "phase"=>"configure", "errortype"=>"linker_error"}
+ {"origin"=>"net-im/libqtelegram-ae", "pkgname"=>"libqtelegram-ae-6.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/retroshare", "pkgname"=>"retroshare-0.6.0", "phase"=>"build", "errortype"=>"???"}

Failure logs on 10.1:

http://package23.nyi.freebsd.org/data/101i386-default-PR211916/2016-09-03_05h30m29s/logs/errors/texmaker-4.5_2,3.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211916/2016-09-03_05h30m29s/logs/errors/texstudio-2.11.0.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211916/2016-09-03_05h30m29s/logs/errors/basic256-1.1.4.0_1.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211916/2016-09-03_05h30m29s/logs/errors/qt5-phonon4-4.8.3.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211916/2016-09-03_05h30m29s/logs/errors/libqtelegram-ae-6.1.log
http://package23.nyi.freebsd.org/data/101i386-default-PR211916/2016-09-03_05h30m29s/logs/errors/retroshare-0.6.0.log
Comment 7 Antoine Brodin freebsd_committer 2016-09-04 06:59:11 UTC
New failures on 11.0:

+ {"origin"=>"editors/texmaker", "pkgname"=>"texmaker-4.5_2,3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"editors/texstudio", "pkgname"=>"texstudio-2.11.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"lang/basic256", "pkgname"=>"basic256-1.1.4.0_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/qt5-phonon4", "pkgname"=>"qt5-phonon4-4.8.3", "phase"=>"configure", "errortype"=>"linker_error"}
+ {"origin"=>"net-im/libqtelegram-ae", "pkgname"=>"libqtelegram-ae-6.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/retroshare", "pkgname"=>"retroshare-0.6.0", "phase"=>"build", "errortype"=>"???"}

Failure logs on 11.0:

http://package23.nyi.freebsd.org/data/110RC2amd64-default-PR211916/2016-09-02_13h48m34s/logs/errors/texmaker-4.5_2,3.log
http://package23.nyi.freebsd.org/data/110RC2amd64-default-PR211916/2016-09-02_13h48m34s/logs/errors/texstudio-2.11.0.log
http://package23.nyi.freebsd.org/data/110RC2amd64-default-PR211916/2016-09-02_13h48m34s/logs/errors/basic256-1.1.4.0_1.log
http://package23.nyi.freebsd.org/data/110RC2amd64-default-PR211916/2016-09-02_13h48m34s/logs/errors/qt5-phonon4-4.8.3.log
http://package23.nyi.freebsd.org/data/110RC2amd64-default-PR211916/2016-09-02_13h48m34s/logs/errors/libqtelegram-ae-6.1.log
http://package23.nyi.freebsd.org/data/110RC2amd64-default-PR211916/2016-09-02_13h48m34s/logs/errors/retroshare-0.6.0.log
Comment 8 commit-hook freebsd_committer 2016-09-04 14:30:23 UTC
A commit references this bug:

Author: rakuco
Date: Sun Sep  4 14:30:15 UTC 2016
New revision: 421340
URL: https://svnweb.freebsd.org/changeset/ports/421340

Log:
  Update Phonon to 4.9.0.

  Release notes:
  - https://community.kde.org/Phonon/Releases/Core/4.9.0
  - https://community.kde.org/Phonon/Releases/GStreamer/4.9.0
  - https://community.kde.org/Phonon/Releases/VLC/0.9.0

  This release fixes the build with the upcoming Qt 5.6, which was failing like
  this:

      /usr/bin/c++   -O2 -pipe -fstack-protector -fno-strict-aliasing -Wnon-virtual-dtor -Wno-long-long -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -Woverloaded-virtual -fno-common -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -Wno-return-type-c-linkage     CMakeFiles/cmTC_08ed6.dir/check_qt_visibility.cpp.o  -o cmTC_08ed6
      CMakeFiles/cmTC_08ed6.dir/check_qt_visibility.cpp.o:(.qtversion[qt_version_tag]+0x0): undefined reference to `qt_version_tag'

  Most of the work was done by tcberner@.

  PR:		211916

Changes:
  head/multimedia/phonon/Makefile
  head/multimedia/phonon/distinfo
  head/multimedia/phonon/pkg-plist
  head/multimedia/phonon-designerplugin/Makefile
  head/multimedia/phonon-gstreamer/Makefile
  head/multimedia/phonon-gstreamer/distinfo
  head/multimedia/phonon-gstreamer/files/patch-CMakeLists.txt
  head/multimedia/phonon-gstreamer/pkg-plist
  head/multimedia/phonon-vlc/Makefile
  head/multimedia/phonon-vlc/distinfo
  head/multimedia/qt5-phonon4/Makefile
  head/multimedia/qt5-phonon4/distinfo
  head/multimedia/qt5-phonon4/pkg-plist
  head/multimedia/qt5-phonon4-designerplugin/Makefile
  head/multimedia/qt5-phonon4-gstreamer/Makefile
  head/multimedia/qt5-phonon4-gstreamer/distinfo
  head/multimedia/qt5-phonon4-gstreamer/files/
  head/multimedia/qt5-phonon4-vlc/Makefile
  head/multimedia/qt5-phonon4-vlc/distinfo
Comment 9 commit-hook freebsd_committer 2016-09-04 16:43:32 UTC
A commit references this bug:

Author: rakuco
Date: Sun Sep  4 16:42:33 UTC 2016
New revision: 421344
URL: https://svnweb.freebsd.org/changeset/ports/421344

Log:
  Explicitly disable C++11 during the build.

  Prepare for Qt 5.6, which will pass -std=gnu++11 by default when the compiler
  supports it, and the build currently does not work:

  ../TelegramQML-0.9.2/telegramqml.cpp:4794:10: error: case value evaluates to 2573335900, which cannot be narrowed to type 'int' [-Wc++11-narrowing]
      case Update::typeUpdateReadHistoryInbox:

  Note that Qt 5.7 will start requiring C++11 support, so this will need to be
  fixed properly in the future.

  PR:	        211916

Changes:
  head/net-im/telegramqml/Makefile
Comment 10 commit-hook freebsd_committer 2016-09-17 09:47:20 UTC
A commit references this bug:

Author: rakuco
Date: Sat Sep 17 09:46:56 UTC 2016
New revision: 422306
URL: https://svnweb.freebsd.org/changeset/ports/422306

Log:
  Update the Qt5 ports to 5.6.1.

  This took longer than expected, but there are quite a few changes to the
  existing ports and a few new ones.

  General upstream changes:
  - Starting with Qt 5.6.2, Qt will fail at configuration time if LibreSSL is
    being used. According to the discussion here:
    https://codereview.qt-project.org/#/c/154800/
    The Qt project is not opposed to LibreSSL, but does not want to mix
    support for it into the OpenSSL backend code, especially as they move
    towards supporting OpenSSL 1.1.
    People interested in LibreSSL support are welcome to submit a separate
    backend upstream, but are expected to maintain it. We (kde@) are not
    opposed to carrying some patches authored by others in the future, as long
    as they are not huge and destabilizing.
  - When Qt detects the compiler supports C++11, it will pass -std=gnu++11 by
    default (this is an upstream change). You can add "CONFIG -= c++11" to
    your .pro. Qt 5.7 will require C++11.
  - www/webkit-qt5: The QtWebKit module is deprecated upstream, and is shipped
    separately as a community release tarball. kde@ does not have an ETA for a
    qt5-webengine port, as it requires a huge effort (and number of patches)
    similar to maintaining www/chromium itself.
  - x11-toolkits/qt5-declarative has been deprecated upstream. The last
    release is 5.5.1.

  Relevant changes:
  - devel/qmake5: The freebsd-clang mkspec has become the default mkspec on
    FreeBSD, replacing the outdated freebsd-g++ one that was moved to
    unsupported/ (it still works though).
  - devel/qt5-qdoc: qdoc was moved to qttools upstream, but its data files are
    still in qtbase. The data files are now in the qt5-qdoc-data port.
  - misc/qt5-doc: Clean up and stop requiring a compiler and fumbling with
    mkspecs. Instead of running the `configure' script, which requires a
    compiler and adjustments to the mkspecs files and also ends up building a
    new qmake binary, we now leverage USES=qmake to generate all the Makefiles
    from the top-level qt.pro. Getting this to work requires some tricks,
    though, and qt.conf.in has a longer explanation of what's being done.
    Switch to USES=gmake to be able to drop MAKE_JOBS_UNSAFE=yes.

  New ports:
  - comms/qt5-serialbus
  - devel/qt5-qdoc-data
  - x11-toolkits/qt5-quickcontrols2

  Big thanks to Adriaan de Groot (groot@kde.org), tcberner@ and Loise Nolden
  (nolden@kde.org) for the huge amount of work they put into this
  patch. Loise in particular also sent quite a few changes upstream that were
  essential for this update to work.

  PR:		211916

Changes:
  head/Mk/bsd.qt.mk
  head/comms/Makefile
  head/comms/qt5-connectivity/pkg-plist
  head/comms/qt5-serialbus/
  head/comms/qt5-serialbus/Makefile
  head/comms/qt5-serialbus/pkg-plist
  head/devel/Makefile
  head/devel/qbs/Makefile
  head/devel/qbs/pkg-plist
  head/devel/qmake5/Makefile
  head/devel/qmake5/files/patch-configure
  head/devel/qmake5/files/patch-mkspecs__common__freebsd.conf
  head/devel/qmake5/files/patch-mkspecs__freebsd-g++__qmake.conf
  head/devel/qmake5/files/patch-mkspecs__unsupported__freebsd-clang__qmake.conf
  head/devel/qmake5/files/patch-mkspecs_freebsd-clang_qmake.conf
  head/devel/qmake5/files/patch-mkspecs_unsupported_freebsd-g++_qmake.conf
  head/devel/qmake5/pkg-plist
  head/devel/qt5/Makefile
  head/devel/qt5/distinfo
  head/devel/qt5/files/extrapatch-config.tests-unix-compile.test
  head/devel/qt5/files/extrapatch-config.tests_unix_libdl_libdl.pro
  head/devel/qt5/files/extrapatch-libtool
  head/devel/qt5-assistant/files/patch-src__src.pro
  head/devel/qt5-buildtools/pkg-plist
  head/devel/qt5-core/Makefile
  head/devel/qt5-core/files/patch-git_08be8691
  head/devel/qt5-core/files/patch-git_090bf50
  head/devel/qt5-core/files/patch-git_6552469
  head/devel/qt5-core/files/patch-git_680ec54a
  head/devel/qt5-core/files/patch-git_bfa53e1c6
  head/devel/qt5-core/files/patch-git_c8c4ad0
  head/devel/qt5-core/files/patch-git_c9998b8a
  head/devel/qt5-core/pkg-plist
  head/devel/qt5-designer/files/patch-src__src.pro
  head/devel/qt5-designer/pkg-plist
  head/devel/qt5-help/Makefile
  head/devel/qt5-help/files/patch-src__src.pro
  head/devel/qt5-linguist/files/patch-src__src.pro
  head/devel/qt5-linguisttools/files/patch-src__src.pro
  head/devel/qt5-location/files/
  head/devel/qt5-location/pkg-plist
  head/devel/qt5-qdbus/files/
  head/devel/qt5-qdbus/files/patch-src_src.pro
  head/devel/qt5-qdbusviewer/files/patch-src__src.pro
  head/devel/qt5-qdoc/Makefile
  head/devel/qt5-qdoc/files/
  head/devel/qt5-qdoc/files/patch-src_src.pro
  head/devel/qt5-qdoc/pkg-plist
  head/devel/qt5-qdoc-data/
  head/devel/qt5-qdoc-data/Makefile
  head/devel/qt5-qdoc-data/pkg-plist
  head/devel/qt5-testlib/pkg-plist
  head/devel/qt5-uitools/files/patch-src__src.pro
  head/graphics/qt5-3d/Makefile
  head/graphics/qt5-3d/files/
  head/graphics/qt5-3d/pkg-plist
  head/graphics/qt5-graphicaleffects/Makefile
  head/graphics/qt5-graphicaleffects/pkg-plist
  head/graphics/qt5-imageformats/Makefile
  head/graphics/qt5-pixeltool/files/patch-git_a685d8a
  head/graphics/qt5-pixeltool/files/patch-src__src.pro
  head/lang/qt5-qml/Makefile
  head/lang/qt5-qml/files/patch-git_9b1231ca
  head/lang/qt5-qml/pkg-plist
  head/misc/qt5-doc/Makefile
  head/misc/qt5-doc/distinfo
  head/misc/qt5-doc/files/
  head/misc/qt5-doc/files/patch-qtserialbus_qtserialbus.pro
  head/misc/qt5-doc/files/qt.conf.in
  head/misc/qt5-doc/pkg-plist
  head/misc/qt5-examples/Makefile
  head/misc/qt5-examples/distinfo
  head/misc/qt5-examples/pkg-plist
  head/misc/qt5-l10n/pkg-plist
  head/multimedia/qt5-multimedia/Makefile
  head/multimedia/qt5-multimedia/files/patch-git_1df147d5
  head/multimedia/qt5-multimedia/files/patch-git_3b322323
  head/multimedia/qt5-multimedia/files/patch-git_9047d9b
  head/multimedia/qt5-multimedia/pkg-plist
  head/net/qt5-network/files/patch-src_network_socket_qnativesocketengine__unix.cpp
  head/net/qt5-network/pkg-plist
  head/print/qt5-printsupport/Makefile
  head/textproc/clucene-qt5/files/patch-src__src.pro
  head/textproc/clucene-qt5/pkg-plist
  head/www/webkit-qt5/Makefile
  head/www/webkit-qt5/distinfo
  head/x11-toolkits/Makefile
  head/x11-toolkits/qt5-canvas3d/Makefile
  head/x11-toolkits/qt5-canvas3d/pkg-plist
  head/x11-toolkits/qt5-declarative/Makefile
  head/x11-toolkits/qt5-declarative/distinfo
  head/x11-toolkits/qt5-gui/Makefile
  head/x11-toolkits/qt5-gui/pkg-plist
  head/x11-toolkits/qt5-quick/Makefile
  head/x11-toolkits/qt5-quick/pkg-plist
  head/x11-toolkits/qt5-quickcontrols/pkg-plist
  head/x11-toolkits/qt5-quickcontrols2/
  head/x11-toolkits/qt5-quickcontrols2/Makefile
  head/x11-toolkits/qt5-quickcontrols2/pkg-descr
  head/x11-toolkits/qt5-quickcontrols2/pkg-plist
  head/x11-toolkits/qt5-uiplugin/files/patch-src__src.pro
  head/x11-toolkits/qt5-uiplugin/pkg-plist
  head/x11-toolkits/qt5-widgets/Makefile
  head/x11-toolkits/qt5-widgets/files/
  head/x11-toolkits/qt5-widgets/pkg-plist